# strtol.c File Reference

`#include <sys/cdefs.h>`

Include dependency graph for strtol.c:

Go to the source code of this file.

## Defines

#define | LONG_MAX 0x7fffffffL
#define | LONG_MIN (-0x7fffffffL - 1)

## Functions

long | strtol (const char *__restrict nptr, char **__restrict endptr, int base)

## Define Documentation

#define LONG_MAX 0x7fffffffL

Definition at line 7 of file strtol.c.

Referenced by strtol().

#define LONG_MIN (-0x7fffffffL - 1)

Definition at line 6 of file strtol.c.

Referenced by strtol().

## Function Documentation

long strtol | ( | const char *__restrict | nptr,
|  | char **__restrict | endptr,
|  | int | base |
| ) |  |  |

Definition at line 12 of file strtol.c.

References LONG_MAX, LONG_MIN, and NULL.

Referenced by inet_aton().